<?php use_helper('ModalBox', 'tvtl','Javascript','Object','Validation'); ?>
<?php echo form_tag('/blog/updateweb','name=updateweb') ?><?php echo input_hidden_tag('submited',1)?>
<div id="result" align="center"></div>
<div id="form">
	<div class="doc">
		<h2>Tạo trang riêng mới</h2>
		<div class="content">
		  <?php if ($message != ''):?>
		    <?php echo $message ?>
		  <?php else:?>
		  <div class="wfull nowrap">
		    <div class="span-3">Các mẫu thư viện</div>
				<div class="span-10"><?php echo select_tag('rights', $tempId,
        array('onchange'=>'selecttemplate()', 'id'=>'template') )?>
        </div>
			</div>

			<div class="wfull nowrap">
				<div class="span-3">Địa chỉ truy cập</div>
				<div class="span-10">
					<?php echo input_tag('shortname', '', array('style'=>'width:350px', 'onFocus'=>'blur()'))?>
				</div>
			</div>

			<div class="wfull nowrap">
				<div class="span-3">Tiêu đề</div>
				<div class="span-10"><?php echo input_tag('bltitle', '', array('style'=>'width:350px'))?></div>
			</div>

			<div class="wfull nowrap">
  				<div class="span-3">Trang cấp trên</div>
  				<div class="span-10">
  				  <?php if ($blogtype < 4):?>
  				    <?php echo radiobutton_tag('parent', 0, '', array('id'=>'province', 'disabled'=>'true')).' '.
  				    ($blog_province? $blog_province->getBlTitle(): 'Trang web của Sở GD&ĐT '.$province->getScName().' (chưa tạo)');?>
  				    <br/>
  				  <?php endif;?>
  				  <?php if ($blogtype < 3):?>
  				    <?php echo radiobutton_tag('parent', 0, '', array('id'=>'district', 'disabled'=>'true')).' '.
  				    ($blog_district? $blog_district->getBlTitle(): 'Trang web của Phòng GD&ĐT '.$district->getScName().' (chưa tạo)');?>
    				  <br/>
  				    <?php echo radiobutton_tag('parent', 0, '', array('id'=>'school', 'disabled'=>'true')).' '.
  				    ($blog_school? $blog_school->getBlTitle(): 'Trang web của '.$school->getScName().' (chưa tạo)');?>
    				  <br/>
  				  <?php endif;?>
  				  <?php echo radiobutton_tag('parent', 0, '', array('id'=>'violet', 'disabled'=>'true')).' Thư viện trực tuyến Violet'?>
  				</div>
  				<?php echo input_hidden_tag('blparent','')?>
  				<?php echo input_hidden_tag('bltype', '')?>
  				<?php echo input_hidden_tag('school_id', $school ? $school->getScId() : '')?>
  				<?php echo input_hidden_tag('district_id', $district ? $district->getScId() : '')?>
  				<?php echo input_hidden_tag('province_id', $province ? $province->getScId() : '')?>
  			</div>

			<div class="wfull nowrap" style="text-align: center; margin-top: 10px;">
				<?php echo submit_tag('Tạo trang riêng','onclick="return checkSortname();"')?>
			</div>
			<div id='changuser-link' style='display:none'>
        <hr/>
			  <b>Chú ý</b>: Nếu không tạo được website cá nhân do tên truy nhập có dấu cách, dấu tiếng Việt hoặc ký tự đặc biệt, quý vị hãy <?php echo m_link_to('thay đổi tên truy nhập', '/user/changeUser', array('title'=>'Thay đổi tên truy nhập'))?></div>
      </div>
			<?php endif;?>
		</div>
	</div>
</div>
</form>
<script>
	function selecttemplate() {
	  if ($('template').value == 0) {
		  $('shortname').value = '';
		  $('bltitle').value = '';
	  }
	  else if ($('template').value == 'empty') {
	    $('bltitle').value = 'Thư viện trống';
	    $('shortname').value = 'http://violet.vn/<?php echo @$username; ?>';
	    $('violet').checked = true;
	    $('blparent').value = 0;
	  }
	  else if ($('template').value == 9 || $('template').value == 10 || $('template').value == 11 ||
	           $('template').value == 13 || $('template').value == 15 || $('template').value == 16) {
	    $('bltitle').value = '<?php echo htmlspecialchars(@$titlePersonal, ENT_QUOTES)?>';
	    $('shortname').value = 'http://violet.vn/<?php echo @$username ?>';
	    $('<?php echo @$parentSelectedTeacher?>').checked = true;
	    $('blparent').value = '<?php echo @$parentBlogTeacher ?>';
      $('bltype').value = 1;
    }
	  else {
	    $('bltitle').value = '<?php echo htmlspecialchars(@$title, ENT_QUOTES) ?>';
	    $('shortname').value = 'http://violet.vn/<?php echo @$name ?>';
      $('<?php echo @$parentSelected?>').checked = true;
      $('blparent').value = '<?php echo @$parentBlog?>';
      $('bltype').value = '<?php echo @$blogtype?>';
	  }
	  Element.hide('changuser-link');
	}
	/*end*/

  checkSortname = function() {
    var shortname = $('shortname').value;
    shortname = shortname.replace('http://violet.vn/', '');
    if(shortname == '') {
      alert('Bạn phải nhập địa chỉ truy cập!')
      $('shortname').focus();
      return false;
    }
    if($('template').value == 0) {
      alert('Bạn phải chọn thư viện mẫu');
      return false;
    }

    if (!alphanumeric(shortname)) return false;

    return true;
  }

function alphanumeric(alphane)
{
	var numaric = trim(alphane.toLowerCase());
	for(var j=0; j<numaric.length; j++) {
		  var alphaa = numaric.charAt(j);
		  var hh = alphaa.charCodeAt(0);
		  if((hh > 47 && hh<58) || (hh > 96 && hh<123) || (hh == 95) || (hh == 45) ){}
		  else {
		   alert('Địa chỉ truy cập không hợp lệ!');
		   $('shortname').focus();
		   Element.show('changuser-link');
			 return false;
		  }
	}
	return true;
}

function createWeb() {
  var result = $('result');
  result.innerHTML = '';
  new Ajax.Updater(
      'result',
      '<?php echo url_for('/blog/createweb') ?>' +
      '/shortname/' + $('shortname').value + '/bltitle/' + $('bltitle').value,
      {asynchronous:false, evalScripts:false}
  );
  $('form').innerHTML = '';
}

function trim(str) {
  var chars = "";
  return ltrim(rtrim(str, chars), chars);
}

function ltrim(str, chars) {
    chars = chars || "\\s";
    return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}

function rtrim(str, chars) {
    chars = chars || "\\s";
    return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}
</script>

<style>
	.nowrap {
		margin-top: 5px;
	}
</style>
